#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: jose
version: 0.6.0.3
id: jose-0.6.0.3-IUbXb4KeGZ4H8s5TK60Bcf
key: jose-0.6.0.3-IUbXb4KeGZ4H8s5TK60Bcf
license: Apache-2.0
copyright: Copyright (C) 2013, 2014, 2015, 2016, 2017  Fraser Tweedale
maintainer: frase@frase.id.au
homepage: https://github.com/frasertweedale/hs-jose
synopsis: Javascript Object Signing and Encryption and JSON Web Token library
description:
    .
    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.
    .
    The JSON Web Signature (JWS; RFC 7515) implementation is complete.
    .
    EdDSA signatures (RFC 8037) are supported (Ed25519 only).
    .
    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).
    .
    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.
    .
    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.
category: Cryptography
author: Fraser Tweedale
exposed: True
indefinite: False
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT
hidden-modules: Crypto.JOSE.TH Crypto.JOSE.Types.Internal
                Crypto.JOSE.Types.Orphans
abi: f24df4385b8b7e061dd083de353c6425
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/jose-0.6.0.3
library-dirs: /usr/lib/ghc-8.2.2/site-local/jose-0.6.0.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/jose-0.6.0.3
hs-libraries: HSjose-0.6.0.3-IUbXb4KeGZ4H8s5TK60Bcf
depends:
    base-4.10.1.0 attoparsec-0.13.2.0-1AORA640dG8HmlrlyiwzkH
    base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be
    concise-0.1.0.0-Excmm89Veo9IkexV1TpHQq containers-0.5.10.2
    cryptonite-0.24-3c1AijMWg8S96DSGVl5fyX
    lens-4.15.4-GH6g8mH8MFUClTlMTyxH3q
    memory-0.14.8-EhqO1ygSt0e1vREU5YIe0s
    monad-time-0.2-LUGpLHgSHKFHCiGjsIZzVq
    mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH
    semigroups-0.18.3-3aCIuYG4ID286XaN6MuQu7 template-haskell-2.12.0.0
    safe-0.3.15-EroU33EYnr02fGSZYGiX97
    aeson-1.2.3.0-LNkLuLvRI8W9I8ocVQs80F
    unordered-containers-0.2.8.0-I4wGGMV7X9X97sk1hrOqCV
    bytestring-0.10.8.2 text-1.2.2.2-E3rQA0mJl73IvZIzvmwqAj
    time-1.8.0.2 network-uri-2.6.1.0-LYYrYvUJy87zSaoB2hpvT
    QuickCheck-2.10.1-BUFYQzp5Pjm7JbQeTzW89l
    quickcheck-instances-0.3.16-3UD6wLZXdsRFW21IXRqVEU
    x509-1.7.2-3zyqbZqe5U153HzE0ecqgf
    vector-0.12.0.1-IUGn3M9mkBh8CyXcBnfTR4
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             attoparsec-0.13.2.0-1AORA640dG8HmlrlyiwzkH=1e5250700950658eff033f7537304029
             base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be=fce7541e6cf9cbf2867cdcb0a2552fb8
             concise-0.1.0.0-Excmm89Veo9IkexV1TpHQq=3e0bc8d51398471e9d847088645a7316
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
             cryptonite-0.24-3c1AijMWg8S96DSGVl5fyX=859a9783f2b065ac7a6af9e67a7071b5
             lens-4.15.4-GH6g8mH8MFUClTlMTyxH3q=2a0e34ead854f7cce16655221d59d6aa
             memory-0.14.8-EhqO1ygSt0e1vREU5YIe0s=b15e8a5e8bc00fc3311f986640a4b239
             monad-time-0.2-LUGpLHgSHKFHCiGjsIZzVq=4ec556bd12094801e7a60ce812cb4f05
             mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH=1e76d6f7019a4b5c8c222b2fbbb06681
             semigroups-0.18.3-3aCIuYG4ID286XaN6MuQu7=863c6a42773abd5c980b4318cc858c44
             template-haskell-2.12.0.0=2257617827b0258ca46e933b344007b7
             safe-0.3.15-EroU33EYnr02fGSZYGiX97=c20d058560be9a4b5e941a33ed437bf5
             aeson-1.2.3.0-LNkLuLvRI8W9I8ocVQs80F=46287d49060ec1324ce6cfe2c348dbdf
             unordered-containers-0.2.8.0-I4wGGMV7X9X97sk1hrOqCV=b12cdae8ac228affcce9703d4cef3dce
             bytestring-0.10.8.2=4a9e2cf748f0e2cc5be33be7a5505ecf
             text-1.2.2.2-E3rQA0mJl73IvZIzvmwqAj=168216a11cdc39c8cc50d80b9c45a385
             time-1.8.0.2=7cc0324e0aef789d5f0780f6640c241b
             network-uri-2.6.1.0-LYYrYvUJy87zSaoB2hpvT=eb2c71a3c16909d5272749b4cd94d59c
             QuickCheck-2.10.1-BUFYQzp5Pjm7JbQeTzW89l=12616b561aced170e61d60f985fc5a23
             quickcheck-instances-0.3.16-3UD6wLZXdsRFW21IXRqVEU=f3c1ad985d3318c48c54ea337fc56378
             x509-1.7.2-3zyqbZqe5U153HzE0ecqgf=d8aea0db9c6284ed4ab2e7d15a40bcf7
             vector-0.12.0.1-IUGn3M9mkBh8CyXcBnfTR4=aa687f07efbeaeb82a30478c8f07e96e
haddock-interfaces: /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html: /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

